Subject: Re: rerere.autoupdate that wouldn't

From: Phil Hord <[email-masked]>
Date: Fri, 09 Mar 2012 17:51:54 -0500

Writ Junio C Hamano <[email-masked]>,
> Phil Hord <[email-masked]> writes:
> 
>> Is this what is supposed to happen?  Should I look into adding
>> 'rerere.autoContinue=true'?
> 
> "Yes", and "Perhaps, but there may be a better alternative".
> 
> Whatever rerere did, "git merge", "git am", and friends should
> report the fact that the result is not just a trivial conflict-free
> merge, so that the user can take an appropriate action.  Otherwise
> you will be robbing the last chance to eyeball the result from
> people who have been using rerere.autoupdate=true and doing so
> before committing.
> 
> And a better alternative to make "rerere.autoupdate" stronger may be
> to make the variable tri-valued, instead of adding a new variable
> that does not make any sense when rerere.autoupdate is not set.

Any preference on the third option-name?

I think  'False || True || Continue'

Phil